<div class="dashboard mb-5">
  <h1 class="mat-h1">Dashboard</h1>
  <mat-divider class="mb-2"></mat-divider>

  <div fxLayout="row" fxLayout.xs="column" fxLayoutGap="50px">
    <div class="container" fxFlex="70">
      <mat-card class="card">
        <mat-toolbar class="mb-1">
          <span>Aktualności</span>
        </mat-toolbar>
        <mat-card-content class="max-height-900">
          <mat-list>
            <mat-list-item *ngFor="let news of (newsList$ | async)">
              <mat-icon *ngIf="news?.type === 'important'" mat-list-icon>notifications</mat-icon>
              <mat-icon *ngIf="news?.type === 'advertisement'" mat-list-icon>accessibility_new</mat-icon>
              <mat-icon *ngIf="news?.type === 'information'" mat-list-icon>info</mat-icon>
              <div mat-line>
                {{news?.title}}
              </div>
              <div mat-line>
                {{news?.text}}
              </div>
              <div mat-line>
                Dodano {{news?.createdAt | date: 'd/MM/yyyy, h:mm'}}
                przez {{news?.createdBy?.data?.firstName}} {{news?.createdBy?.data?.lastName}}
              </div>
              <div mat-line *ngIf="news?.updatedBy?.data?.firstName">
                Edytowano {{news?.updatedAt | date: 'd/MM/yyyy, h:mm'}}
                przez {{news?.updatedBy?.data?.firstName}} {{news?.updatedBy?.data?.lastName}}
              </div>
              <button mat-icon-button mat-list-icon (click)="onUpdateNewsDialog(news)" class="order-4">
                <mat-icon matTooltip="Edytuj wiadomość">edit</mat-icon>
              </button>
              <button mat-icon-button mat-list-icon color="warn" (click)="onRemoveNews(news)" class="order-4">
                <mat-icon matTooltip="Usuń wiadomość">delete_outline</mat-icon>
              </button>
              <mat-divider></mat-divider>
            </mat-list-item>
          </mat-list>
        </mat-card-content>

        <ng-container *ngIf="currentUser?.permissions?.canPublishNews">
          <mat-card-actions>
            <button mat-raised-button (click)="onCreateNewsDialog()">
              <mat-icon>add</mat-icon>
              Dodaj wiadomość
            </button>
          </mat-card-actions>
        </ng-container>

      </mat-card>
    </div>

    <div class="container" fxFlex="30" fxLayout="column" fxLayout.xs="column" fxLayoutGap="20px">
      <mat-card fxFlex>
        <mat-icon>insert_drive_file</mat-icon>
        Otwarte wnioski: {{dashboard?.numberOfApplications}}
      </mat-card>

      <mat-card fxFlex>
        <mat-icon>event_note</mat-icon>
        Wydarzenia: {{dashboard?.numberOfEvents}}
      </mat-card>

      <mat-card fxFlex>
        <mat-icon>people</mat-icon>
        Pracownicy: {{dashboard?.numberOfEmployees}}
      </mat-card>

      <mat-card fxFlex>
        <mat-icon>assignment</mat-icon>
        Projekty: {{dashboard?.numberOfProjects}}
      </mat-card>
    </div>
  </div>
</div>
